// rendering precision
$fn = $preview ? 32 : 64;
$slack = 0.2;
$mini_slack = 0.001;

// Parameters
$diameter_blocker = 10;
$diameter_shaft = 2.5;
$diameter_hole =3.2;
$diameter_z = 6;
$length_hat= 3;
$height = 2.6;

difference() {
    cylinder($height, $diameter_blocker/2, $diameter_blocker/2);
    translate([0,0,-$mini_slack])
    cylinder(3.5, $diameter_z/2 + $slack, $diameter_z/2 + $slack);
}