use <MCAD/boxes.scad>

$fn = 64;

// base
module base()
{
    size = [ 50, 30, 10 ];
    roundedBox(size, radius = 3, center = true);
    translate([ 0, 0, -2.5 ]) roundedBox([ 50, 30, 5 ], radius = 3, sidesonly = true, center = true);
}

difference()
{
    base();
    translate([ 0, 6, 3 ]) rotate([ 10, 0, 0 ]) cube([ 30, 8, 10 ], center = true);
}